Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3546 - Running screen from an X terminal gives a termcap warning
Summary: Running screen from an X terminal gives a termcap warning
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: screen
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-17 21:56 UTC by Brian Ryner
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 19:21:59 UTC


Attachments (Terms of Use)

Description Brian Ryner 1999-06-17 21:56:51 UTC
If I start screen from an X terminal (such as
gnome-terminal), I get the message:

tgetent: warning: termcap entry too long

Screen still works though.  I'm using the updated screen
package (screen-3.7.6-9).

Comment 1 Bill Nottingham 1999-06-17 22:37:59 UTC
Hm... that message is actually from bash. Dunno why it pops
up there and not on the console.

Comment 2 Bill Nottingham 1999-08-17 22:42:59 UTC
It's a warning from libtermcap that the termcap entry
for screen is over 1023 bytes.

Comment 3 Bill Nottingham 1999-08-31 19:21:59 UTC
fixed in libtermcap-2.0.8-17, in next Raw Hide release.


Note You need to log in before you can comment on or make changes to this bug.